import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from 'react';
import InputViewer from './input/InputViewer';
import OutputViewer from './output/OutputViewer';
import { newUuid } from './../../jupyter/utils/Ids';
export const Viewer = (props) => {
    const { nbformat, outputs } = props;
    const [model, setModel] = useState();
    useEffect(() => {
        setModel(nbformat);
    }, [nbformat]);
    return (_jsx(_Fragment, { children: model?.cells.map(cell => {
            return (_jsxs("div", { children: [_jsx(InputViewer, { cell: cell, languageInfo: nbformat.metadata.language_info }), outputs && _jsx(OutputViewer, { cell: cell })] }, cell.id?.toString() || newUuid()));
        }) }));
};
export default Viewer;
//# sourceMappingURL=Viewer.js.map