import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import Lumino from '../../../jupyter/lumino/Lumino';
import OutputAdapter from './OutputAdapter';
const OutputViewer = (props) => {
    const { cell } = props;
    const outputs = cell.outputs ? cell.outputs : undefined;
    const outputAdapter = new OutputAdapter(outputs);
    switch (cell.cell_type) {
        case 'code': {
            return (_jsx(_Fragment, { children: _jsx(Lumino, { children: outputAdapter.outputArea }) }));
        }
        default:
            return _jsx(_Fragment, {});
    }
};
export default OutputViewer;
//# sourceMappingURL=OutputViewer.js.map