import { IWidgetTracker } from '@jupyterlab/apputils';
import { ABCWidgetFactory, DocumentRegistry, DocumentWidget } from '@jupyterlab/docregistry';
import { INotebookModel } from '@jupyterlab/notebook';
import { Token } from '@lumino/coreutils';
import DashboardWidget from './dashboardWidget';
export type IDashboardTracker = IWidgetTracker<Dashboard>;
export declare const IDashboardTracker: Token<IDashboardTracker>;
export declare const DASHBOARD_ICON_CLASS = "jp-MaterialIcon jp-NotebookIcon";
export declare class Dashboard extends DocumentWidget<DashboardWidget, INotebookModel> {
    private _renderOnSave;
    constructor(options: Dashboard.IOptions);
    dispose(): void;
    reload(): void;
    get renderOnSave(): boolean;
    set renderOnSave(renderOnSave: boolean);
}
export declare namespace Dashboard {
    interface IOptions extends DocumentWidget.IOptionsOptionalContent<DashboardWidget, INotebookModel> {
        renderOnSave?: boolean;
    }
}
export declare class DashboardFactory extends ABCWidgetFactory<Dashboard, INotebookModel> {
    defaultRenderOnSave: boolean;
    constructor(options: DocumentRegistry.IWidgetFactoryOptions<Dashboard>);
    protected createNewWidget(context: DocumentRegistry.IContext<INotebookModel>): Dashboard;
}
